Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040555
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-04-09 17:442019-05-02 18:56
ReportermalsasuaView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revision9dcf12fdd1ae
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040555: JS Error doing logout with draft recetip and functionality checkForDocumentNoDuplicated

Descriptionwhen logout is done and there is one receipt in draft status, and the functionality checkForDocumentNoDuplicated is enabled, JS Error is returned:

VM14538 268466f7530834bba9c9bd812d7fbb63.js:190 TypeError: Cannot read property 'allowpayoncredit' of null
...
Steps To Reproduce. do login
. add new line
. click in end session -> popup is displayed with messate:
  Log Out
   Are you sure you want to log out? Any pending tickets will be deleted. There is no undo for this action.
. click in logout button

JS Error is returned
Proposed Solutionattached diff with the fix
TagsNo tags attached.
Attached Filesdiff file icon issue40555.diff [^] (3,742 bytes) 2019-04-09 17:46 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111049)
malsasua (developer)
2019-04-09 17:45

the complete trace of error is:
VM14538 268466f7530834bba9c9bd812d7fbb63.js:190 TypeError: Cannot read property 'allowpayoncredit' of null
    at Object.updateCreditSalesAction (VM14538 268466f7530834bba9c9bd812d7fbb63.js:2821)
    at Object.<anonymous> (VM14538 268466f7530834bba9c9bd812d7fbb63.js:2819)
    at G.d.trigger (VM14531 backbone-0.9.2.min.js:9)
    at G.d.change (VM14531 backbone-0.9.2.min.js:15)
    at G.d.set (VM14531 backbone-0.9.2.min.js:12)
    at VM14538 268466f7530834bba9c9bd812d7fbb63.js:228
    at Array.forEach (<anonymous>)
    at Function.b.each.b.forEach (VM14530 underscore-1.3.3.min.js:11)
    at cloneRecursively (VM14538 268466f7530834bba9c9bd812d7fbb63.js:228)
    at Object.OB.UTIL.clone (VM14538 268466f7530834bba9c9bd812d7fbb63.js:230); line: Object.OB.UTIL.showError (https://preprod.decathlon.in/retail_17q2/web/js/gen/268466f7530834bba9c9bd812d7fbb63.js:706:1508 [^]) (*,+)
(0111205)
hgbot (developer)
2019-04-18 01:10

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2b7f870ebdde8eb15a6f67e25fe422e76056a690
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Sat Apr 13 16:11:48 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2b7f870ebdde8eb15a6f67e25fe422e76056a690 [^]

Fixed issue 40555: JS Error doing logout with draft recetip and functionality
checkForDocumentNoDuplicated

- Verified if terminal value was seted to prevent JS error with
checkForDocumentNoDuplicated enabled.

---
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
---
(0111206)
hgbot (developer)
2019-04-18 01:11

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 9dcf12fdd1ae2e139f96ebbfc586d94d803e3d98
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Sat Apr 13 16:14:47 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/9dcf12fdd1ae2e139f96ebbfc586d94d803e3d98 [^]

Fixed issue 40555: JS Error doing logout with draft recetip and functionality
checkForDocumentNoDuplicated

- Verified if terminal value was seted to prevent JS error with
checkForDocumentNoDuplicated enabled.

---
M web/org.openbravo.retail.sessions/js/components/orderdetailshook.js
---

- Issue History
Date Modified Username Field Change
2019-04-09 17:44 malsasua New Issue
2019-04-09 17:44 malsasua Assigned To => Retail
2019-04-09 17:44 malsasua Triggers an Emergency Pack => No
2019-04-09 17:45 malsasua Note Added: 0111049
2019-04-09 17:45 malsasua Proposed Solution updated
2019-04-09 17:46 malsasua File Added: issue40555.diff
2019-04-11 21:12 rqueralta Assigned To Retail => rqueralta
2019-04-11 21:13 rqueralta Status new => scheduled
2019-04-18 01:10 hgbot Checkin
2019-04-18 01:10 hgbot Note Added: 0111205
2019-04-18 01:10 hgbot Status scheduled => resolved
2019-04-18 01:10 hgbot Resolution open => fixed
2019-04-18 01:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2b7f870ebdde8eb15a6f67e25fe422e76056a690 [^]
2019-04-18 01:11 hgbot Checkin
2019-04-18 01:11 hgbot Note Added: 0111206
2019-04-18 01:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2b7f870ebdde8eb15a6f67e25fe422e76056a690 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/9dcf12fdd1ae2e139f96ebbfc586d94d803e3d98 [^]
2019-05-02 18:56 marvintm Review Assigned To => marvintm
2019-05-02 18:56 marvintm Status resolved => closed
2019-05-02 18:56 marvintm Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker